From ef5ef5903b8b628cc948e72b3dd7d2181b9dc864 Mon Sep 17 00:00:00 2001
From: Jelte Fennema-Nio <jelte.fennema@microsoft.com>
Date: Wed, 14 Feb 2024 17:19:42 +0100
Subject: [PATCH v1] Configure trailing whitespace trimming in editorconfig
 file

We already required trailing whitespace to be trimmed in our
.gitattributes file. This updates our .editorconfig file to make many
editors and IDEs do this trimming automatically on save.
---
 .editorconfig | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/.editorconfig b/.editorconfig
index d69a3d1dc4e..e4949042e6e 100644
--- a/.editorconfig
+++ b/.editorconfig
@@ -4,11 +4,17 @@ root = true
 indent_style = tab
 indent_size = tab
 tab_width = 4
+trim_trailing_whitespace = true
 
 [*.{sgml,xml}]
 indent_style = space
 indent_size = 1
+trim_trailing_whitespace = true
 
 [*.xsl]
 indent_style = space
 indent_size = 2
+trim_trailing_whitespace = true
+
+[*.po]
+trim_trailing_whitespace = true

base-commit: bd8fc1677b88ed80e4e00e0e46401ec537952482
-- 
2.34.1

